"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.vars = exports.Vars = void 0;
class Vars {
    get host() {
        return this.envHost || 'bump.sh';
    }
    get envHost() {
        return process.env.BUMP_HOST;
    }
    apiUserAgent(base) {
        const content = [base, process.env.BUMP_USER_AGENT].filter(Boolean);
        return content.join(' ');
    }
    get apiUrl() {
        return this.host.startsWith('http') ? this.host : `https://${this.host}`;
    }
    get apiBasePath() {
        return '/api/v1';
    }
}
exports.Vars = Vars;
exports.vars = new Vars();
