import Command from '../command';
import { PreviewResponse } from '../api/models';
export default class Preview extends Command {
    static description: string;
    static examples: string[];
    static flags: {
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        live: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        open: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
    };
    static args: {
        name: string;
        required: boolean;
        description: string;
    }[];
    run(): Promise<void>;
    preview(file: string, open?: boolean, currentPreview?: PreviewResponse | undefined): Promise<PreviewResponse>;
    waitForChanges(file: string, open: boolean): Promise<void>;
}
