declare type FileDescription = {
    value: string;
    label: string;
    filename: string;
};
export declare const isDir: (path: string) => boolean;
export declare class File {
    protected static readonly supportedFormats: string[];
    static listValidConventionFiles(path: string, regex: RegExp): FileDescription[];
    static listInvalidConventionFiles(path: string, regex: RegExp): FileDescription[];
    private static listValidFormatFiles;
}
export {};
