import { CliUx } from '@oclif/core';
import success from './styled/success';
declare const cli: {
    styledSuccess: typeof success;
    config: CliUx.Config;
    warn: typeof import("@oclif/core/lib/errors").warn;
    error: typeof import("@oclif/core/lib/errors").error;
    exit: typeof import("@oclif/core/lib/errors").exit;
    prompt: typeof import("@oclif/core/lib/cli-ux/prompt").prompt;
    anykey: typeof import("@oclif/core/lib/cli-ux/prompt").anykey;
    confirm: typeof import("@oclif/core/lib/cli-ux/prompt").confirm;
    action: CliUx.ActionBase;
    prideAction: CliUx.ActionBase;
    styledObject(obj: any, keys?: string[] | undefined): void;
    styledHeader: typeof import("@oclif/core/lib/cli-ux/styled/header").default;
    styledJSON: typeof import("@oclif/core/lib/cli-ux/styled/json").default;
    table: typeof CliUx.Table.table;
    tree: typeof import("@oclif/core/lib/cli-ux/styled/tree").default;
    open: typeof import("@oclif/core/lib/cli-ux/open").default;
    wait: (ms?: number | undefined) => Promise<unknown>;
    progress: typeof import("@oclif/core/lib/cli-ux/styled/progress").default;
    done(): Promise<void>;
    trace(format: string, ...args: string[]): void;
    debug(format: string, ...args: string[]): void;
    info(format: string, ...args: string[]): void;
    log(format?: string | undefined, ...args: string[]): void;
    url(text: string, uri: string, params?: {} | undefined): void;
    annotation(text: string, annotation: string): void;
    flush(ms?: number | undefined): Promise<void>;
};
export { cli };
