"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.cli = void 0;
const tslib_1 = require("tslib");
const core_1 = require("@oclif/core");
const success_1 = (0, tslib_1.__importDefault)(require("./styled/success"));
if (process.env.BUMP_LOG_LEVEL) {
    const logLevel = process.env.BUMP_LOG_LEVEL;
    core_1.CliUx.config['outputLevel'] = logLevel;
}
const cli = Object.assign(Object.assign({}, core_1.CliUx.ux), { get styledSuccess() {
        return success_1.default;
    } });
exports.cli = cli;
