import * as Config from '@oclif/config';
import { API } from '../definition';
import { BumpApi } from '../api';
import { VersionRequest, VersionResponse } from '../api/models';
export declare class Deploy {
    _bump: BumpApi;
    _config: Config.IConfig;
    constructor(config: Config.IConfig);
    run(api: API, dryRun: boolean, documentation: string, token: string, hub: string | undefined, autoCreate: boolean, documentationName: string | undefined, branch: string | undefined): Promise<VersionResponse | undefined>;
    get bumpClient(): BumpApi;
    createVersion(request: VersionRequest, token: string): Promise<VersionResponse | undefined>;
    validateVersion(version: VersionRequest, token: string): Promise<undefined>;
    d(formatter: any, ...args: any[]): void;
}
