import { flags } from '@oclif/command';
import * as Parser from '@oclif/parser';
export * from '@oclif/command/lib/flags';
declare const doc: flags.Definition<string>;
declare const docName: flags.Definition<string>;
declare const hub: flags.Definition<string>;
declare const filenamePattern: flags.Definition<string>;
declare const branch: flags.Definition<string>;
declare const token: flags.Definition<string>;
declare const autoCreate: (options?: {}) => Parser.flags.IBooleanFlag<boolean>;
declare const interactive: (options?: {}) => Parser.flags.IBooleanFlag<boolean>;
declare const dryRun: (options?: {}) => Parser.flags.IBooleanFlag<boolean>;
declare const open: (options?: {}) => Parser.flags.IBooleanFlag<boolean>;
declare const failOnBreaking: (options?: {}) => Parser.flags.IBooleanFlag<boolean>;
declare const live: (options?: {}) => Parser.flags.IBooleanFlag<boolean>;
declare const format: flags.Definition<string>;
declare const expires: flags.Definition<string>;
export { doc, docName, hub, branch, token, autoCreate, interactive, filenamePattern, dryRun, open, failOnBreaking, live, format, expires, };
